lkml.org 
[lkml]   [2007]   [Mar]   [10]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
    /
    Date
    From
    SubjectRe: PATCH: Fix VMI and COMPAT_VDSO for 2.6.21

    * Zachary Amsden <zach@vmware.com> wrote:

    > Zachary Amsden wrote:
    > >VMI is broken under COMPAT_VDSO, as Xen and other non hardware
    > >assisted hypervisors will be. I have been working on a fix for this
    > >which works for older glibcs that panic when the new relocatable VDSO
    > >is used. However, I believe at this time that the fix is going to be
    > >too radical to consider at this stage in the release of 2.6.21. We
    > >don't expect this config option to be turned on by vendors for new
    > >distributions, so at this point we are willing to drop support for it
    > >when VMI is compiled in, and work on a patch for 2.6.22 which more
    > >fully addresses the problem.
    > >
    > >Please apply, thanks.

    makes sense. We can do Jan's relocatable-COMPAT_VDSO thing in v2.6.22,
    but for v2.6.21 that's way too intrusive.

    Acked-by: Ingo Molnar <mingo@elte.hu>

    > I suppose it would be better if I attached the patch.

    it certainly helps ;-)

    Ingo
    -
    To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
    the body of a message to majordomo@vger.kernel.org
    More majordomo info at http://vger.kernel.org/majordomo-info.html
    Please read the FAQ at http://www.tux.org/lkml/

    \
     
     \ /
      Last update: 2007-03-10 09:51    [W:0.021 / U:65.636 seconds]
    ©2003-2016 Jasper Spaans. hosted at Digital OceanAdvertise on this site